petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSectionCreateGlobalSectionLabel

Create a section describing the global field layout using the local section and an SF describing the section point overlap.

### Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode PetscSectionCreateGlobalSectionLabel(PetscSection s, PetscSF sf, PetscBool includeConstraints, DMLabel label, PetscInt labelValue, PetscSection *gsection)

Collective on sf

### Input Parameters

+ s - The PetscSection for the local field layout . sf - The SF describing parallel layout of the section points . includeConstraints - By default this is PETSC_FALSE, meaning that the global field vector will not possess constrained dofs . label - The label specifying the points - labelValue - The label stratum specifying the points

### Output Parameter

. gsection - The PetscSection for the global field layout

Note: This gives negative sizes and offsets to points not owned by this process

### See Also

PetscSectionCreate()

### Level

developer

### Location

src/dm/label/dmlabel.c
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages